Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.transaction
Class DummyTransaction

    java.lang.Object
      org.jboss.cache.transaction.DummyTransaction

All Implemented Interfaces:
  Transaction

public class DummyTransaction
extends Object
implements Transaction

Version:
  $Revision: 1.19.4.1 $ Date: May 15, 2003 Time: 4:20:17 PM
Author:
  bela

Constructor Summary
`DummyTransaction(DummyTransactionManager tm)`

Method Summary
`void` | `commit()` Attempt to commit this transaction.
`boolean` | `delistResource(XAResource xaRes, int flag)` Delist an XA resource from this transaction.
`boolean` | `enlistResource(XAResource xaRes)` Enlist an XA resource with this transaction.
`int` | `getStatus()` Get the status of the transaction.
`void` | `registerSynchronization(Synchronization sync)` Register a `Synchronization` callback with this transaction.
`void` | `rollback()` Rolls back this transaction.
`void` | `setRollbackOnly()` Mark the transaction so that the only possible outcome is a rollback.
`void` | `setTransactionTimeout(int seconds)` Change the transaction timeout for transactions started by the calling thread with the `DummyTransactionManager.begin()` method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyTransaction

    public DummyTransaction(DummyTransactionManager tm)

Method Detail

### commit

    public void commit()
                throws RollbackException,
                       HeuristicMixedException,
                       HeuristicRollbackException,
                       SecurityException,
                       SystemException

  Attempt to commit this transaction.

  Specified by:
    `commit` in interface `Transaction`
  Throws:
    `RollbackException` - If the transaction was marked for rollback only, the transaction is rolled back and this exception is thrown.
    `SystemException` - If the transaction service fails in an unexpected way.
    `HeuristicMixedException` - If a heuristic decision was made and some some parts of the transaction have been committed while other parts have been rolled back.
    `HeuristicRollbackException` - If a heuristic decision to roll back the transaction was made.
    `SecurityException` - If the caller is not allowed to commit this transaction.

### rollback

    public void rollback()
                  throws IllegalStateException,
                         SystemException

  Rolls back this transaction.

  Specified by:
    `rollback` in interface `Transaction`
  Throws:
    `IllegalStateException` - If the transaction is in a state where it cannot be rolled back. This could be because the transaction is no longer active, or because it is in the `prepared state`.
    `SystemException` - If the transaction service fails in an unexpected way.

### setRollbackOnly

    public void setRollbackOnly()
                         throws IllegalStateException,
                                SystemException

  Mark the transaction so that the only possible outcome is a rollback.

  Specified by:
    `setRollbackOnly` in interface `Transaction`
  Throws:
    `IllegalStateException` - If the transaction is not in an active state.
    `SystemException` - If the transaction service fails in an unexpected way.

### getStatus

    public int getStatus()
                  throws SystemException

  Get the status of the transaction.

  Specified by:
    `getStatus` in interface `Transaction`
  Returns:
    The status of the transaction. This is one of the `Status` constants.
  Throws:
    `SystemException` - If the transaction service fails in an unexpected way.

### setTransactionTimeout

    public void setTransactionTimeout(int seconds)
                               throws SystemException

  Change the transaction timeout for transactions started by the calling thread with the `DummyTransactionManager.begin()` method.

  Parameters:
    `seconds` - The new timeout value, in seconds. If this parameter is `0`, the timeout value is reset to the default value.
  Throws:
    `SystemException` - If the transaction service fails in an unexpected way.

### enlistResource

    public boolean enlistResource(XAResource xaRes)
                           throws RollbackException,
                                  IllegalStateException,
                                  SystemException

  Enlist an XA resource with this transaction.

  Specified by:
    `enlistResource` in interface `Transaction`
  Returns:
    `true` if the resource could be enlisted with this transaction, otherwise `false`.
  Throws:
    `RollbackException` - If the transaction is marked for rollback only.
    `IllegalStateException` - If the transaction is in a state where resources cannot be enlisted. This could be because the transaction is no longer active, or because it is in the `prepared state`.
    `SystemException` - If the transaction service fails in an unexpected way.

### delistResource

    public boolean delistResource(XAResource xaRes,
                                  int flag)
                           throws IllegalStateException,
                                  SystemException

  Delist an XA resource from this transaction.

  Specified by:
    `delistResource` in interface `Transaction`
  Returns:
    `true` if the resource could be delisted from this transaction, otherwise `false`.
  Throws:
    `IllegalStateException` - If the transaction is in a state where resources cannot be delisted. This could be because the transaction is no longer active.
    `SystemException` - If the transaction service fails in an unexpected way.

### registerSynchronization

    public void registerSynchronization(Synchronization sync)
                                 throws RollbackException,
                                        IllegalStateException,
                                        SystemException

  Register a `Synchronization` callback with this transaction.

  Specified by:
    `registerSynchronization` in interface `Transaction`
  Throws:
    `RollbackException` - If the transaction is marked for rollback only.
    `IllegalStateException` - If the transaction is in a state where `Synchronization` callbacks cannot be registered. This could be because the transaction is no longer active, or because it is in the `prepared state`.
    `SystemException` - If the transaction service fails in an unexpected way.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.